#pragma once
#include "Text.h"
#include "Levels/Level.h"

class MainMenuLevel : public Level
{
public:

	MainMenuLevel(Camera* camera);
	virtual ~MainMenuLevel();

	void Update(float elapsedSec) override;
	void Draw() const override;
	void MouseMove(const Vector2f& mousePos) override;
	void ProcessImGui() override;

private:
	Text* m_TextMotherload;
	Text* m_TextNewGame;
	Text* m_TextExit;
};
